#!/usr/bin/env ruby

require 'rubygems'
require 'objectdetect'

def find_opencv_model_path(filename)
  `pkg-config --libs-only-L opencv`.split.each do |l|
    if l.sub!(/^-L/,"")
      path = File.join(l,'..','share','opencv','haarcascades',filename)
      return path if File.exist?(path)
    end
  end
  return filename
end

target = ARGV.shift
unless target
  puts "Usage: #{$0} [path_to_target_image]"
  exit
end

model_path = find_opencv_model_path("haarcascade_frontalface_alt2.xml")
p ObjectDetect::detect(model_path, target)
